"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CALLBACK_FAILED = exports.INTERNAL_ERROR = exports.EXCESS_KEYS_INPUT = exports.MISSING_KEYS_INPUT = exports.WRONG_TYPE_INPUT = exports.INVALID_INPUT = exports.VALID_INPUT = void 0;
const VALID_INPUT = (value) => ({ success: true, value });
exports.VALID_INPUT = VALID_INPUT;
const INVALID_INPUT = (type, message) => ({
    success: false,
    type,
    message
});
exports.INVALID_INPUT = INVALID_INPUT;
const WRONG_TYPE_INPUT = (message) => {
    return (0, exports.INVALID_INPUT)('WRONG_TYPE', message);
};
exports.WRONG_TYPE_INPUT = WRONG_TYPE_INPUT;
const MISSING_KEYS_INPUT = (message) => {
    return (0, exports.INVALID_INPUT)('MISSING_KEYS', message);
};
exports.MISSING_KEYS_INPUT = MISSING_KEYS_INPUT;
const EXCESS_KEYS_INPUT = (message) => {
    return (0, exports.INVALID_INPUT)('EXCESS_KEYS', message);
};
exports.EXCESS_KEYS_INPUT = EXCESS_KEYS_INPUT;
const INTERNAL_ERROR = (message) => {
    return (0, exports.INVALID_INPUT)('INTERNAL_ERROR', message);
};
exports.INTERNAL_ERROR = INTERNAL_ERROR;
const CALLBACK_FAILED = (message) => {
    return (0, exports.INVALID_INPUT)('CALLBACK_FAILED', message);
};
exports.CALLBACK_FAILED = CALLBACK_FAILED;
